import copy

barvaPrazna = 0
barvaNasprotnik = -1
barvaJaz = 1

class Polje:
	slots = ['sirina', 'visina', 'p']

	def __init__(self, sirina=None, visina=None, orig=None):
		if orig:
			self.sirina = orig.sirina
			self.visina = orig.visina
			self.p = copy.deepcopy(orig.p)
		else:
			self.sirina = sirina
			self.visina = visina
			self.p = [[ barvaPrazna ] * self.visina for x in range(self.sirina)]
	
	def __getitem__(self, pos):
		x,y = pos
		return self.p[x][y]
	
	def __setitem__(self, pos, o):
		x,y = pos
		self.p[x][y] = o
	
	def dodaj(self, stolpec, barva):
		if stolpec == -1: return
		_st = self.p[stolpec]
		kam = -1
		try:
			kam = _st.index(barvaPrazna)
		except:
			raise Exception("Stolpec ze zaseden!")
		_st[kam] = barva
	
	def izpisi(self):
		for y in range(self.visina - 1, -1, -1):
			for x in range(self.sirina):
				c = self.p[x][y]
				if c == barvaJaz: print '*',
				elif c == barvaNasprotnik: print 'o',
				else: print ' ',
			print ''
		print ''
